AsyncExecute.ProcessStillAliveException (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers
Class AsyncExecute.ProcessStillAliveException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.openqa.selenium.server.browserlaunchers.AsyncExecute.ProcessStillAliveException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AsyncExecute

    public static class AsyncExecute.ProcessStillAliveException

extends java.lang.RuntimeException

Thrown when a process remains alive after attempting to destroy it

See Also:
  Serialized Form

Constructor Summary
`AsyncExecute.ProcessStillAliveException()`
`AsyncExecute.ProcessStillAliveException(java.lang.String message)`
`AsyncExecute.ProcessStillAliveException(java.lang.String message, java.lang.Throwable cause)`
`AsyncExecute.ProcessStillAliveException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AsyncExecute.ProcessStillAliveException

    public AsyncExecute.ProcessStillAliveException()

### AsyncExecute.ProcessStillAliveException

    public AsyncExecute.ProcessStillAliveException(java.lang.String message,
                                                   java.lang.Throwable cause)

### AsyncExecute.ProcessStillAliveException

    public AsyncExecute.ProcessStillAliveException(java.lang.String message)

### AsyncExecute.ProcessStillAliveException

    public AsyncExecute.ProcessStillAliveException(java.lang.Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.